package seqdb;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class BioSeqPOATie
	extends BioSeqPOA
{
	private BioSeqOperations _delegate;

	private POA _poa;
	public BioSeqPOATie(BioSeqOperations delegate)
	{
		_delegate = delegate;
	}
	public BioSeqPOATie(BioSeqOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public seqdb.BioSeq _this()
	{
		return seqdb.BioSeqHelper.narrow(_this_object());
	}
	public seqdb.BioSeq _this(org.omg.CORBA.ORB orb)
	{
		return seqdb.BioSeqHelper.narrow(_this_object(orb));
	}
	public BioSeqOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(BioSeqOperations delegate)
	{
		_delegate = delegate;
	}
	public int getLength()
	{
		return _delegate.getLength();
	}

	public org.omg.CORBA.Any getAnySeq()
	{
		return _delegate.getAnySeq();
	}

	public int getBioSeqVersion()
	{
		return _delegate.getBioSeqVersion();
	}

	public java.lang.String getBioSeqId()
	{
		return _delegate.getBioSeqId();
	}

}
